local currentSong

function onBegin()
	currentSong = getMusic()
	setFlag("Deltarune_MouseDoorClosed",true)
	waitUntilOnGround()
	playMusic("event:/none")
	disableMovement()
	wait(0.35)
	player.Facing = getEnum("Celeste.Facings", "Left")
	wait(0.15)
	walk(-32)
	wait(0.4)
	setFlag("Deltarune_RouxlsKaardAppears",true)
	
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_rouxls")
	wait(0.5)
	say("CC_Pointside_Deltarune_RouxlsKaard1")
end

function onEnd(room, wasSkipped)
	enableMovement()
	setFlag("Deltarune_SpawnMousePuzzle",true)
	setFlag("Deltarune_MouseDoorClosed",true)
	setFlag("Deltarune_RouxlsKaardAppears",false)
end